Bug 1675236 - koffice-kivio: FTBFS in Fedora rawhide/f30
Summary: koffice-kivio: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: koffice-kivio
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:38 UTC by Fedora Release Engineering
Modified: 2019-08-08 15:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 15:45:56 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:38 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:38 UTC, Fedora Release Engineering
no flags Details
state.log (649 bytes, text/plain)
2019-02-11 20:38 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:38:30 UTC
koffice-kivio failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32405510


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix koffice-kivio at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
koffice-kivio will be orphaned. Before branching of Fedora 31,
koffice-kivio will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:38:33 UTC
Created attachment 1530819 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:38:35 UTC
Created attachment 1530820 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:38:36 UTC
Created attachment 1530821 [details]
state.log

Comment 4 Rex Dieter 2019-02-21 22:56:42 UTC
koji s390 failure

Comment 5 Rex Dieter 2019-02-22 13:28:01 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=32953833

Now failing on aarch64 only

BUILDSTDERR:     File not found: /builddir/build/BUILDROOT/koffice-kivio-1.6.3-54.fc31.aarch64/usr/lib64/libkdeinit_kivio.so

Seems to be some wierd libtool thing, the .la file's are getting created, but not the .so file

Comment 7 Kevin Kofler 2019-04-26 23:44:03 UTC
Updated link because Fedora Infrastructure sadly discontinued cgit:
https://src.fedoraproject.org/rpms/kdelibs3/blob/master/f/kde3-libtool-aarch64.patch

Comment 8 Fedora Release Engineering 2019-08-08 15:45:56 UTC
The following builds were made: koffice-kivio-1.6.3-55.fc31


Note You need to log in before you can comment on or make changes to this bug.